#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 hoogle
version:              5.0.18.4
visibility:           public
id:                   hoogle-5.0.18.4-3bgexx6W0GD6KU0CToQjoZ
key:                  hoogle-5.0.18.4-3bgexx6W0GD6KU0CToQjoZ
license:              BSD-3-Clause
copyright:            Neil Mitchell 2004-2024
maintainer:           Neil Mitchell <ndmitchell@gmail.com>
author:               Neil Mitchell <ndmitchell@gmail.com>
homepage:             https://hoogle.haskell.org/
synopsis:             Haskell API Search
description:
    Hoogle is a Haskell API search engine, which allows you to
    search many standard Haskell libraries by either function name,
    or by approximate type signature.

category:             Development
abi:                  0b91f35000911747ea3ac763c79ae1e7
exposed:              True
exposed-modules:      Hoogle
hidden-modules:
    Paths_hoogle Action.CmdLine Action.Generate Action.Search
    Action.Server Action.Test Input.Cabal Input.Download Input.Haddock
    Input.Item Input.Reorder Input.Set Input.Settings Output.Items
    Output.Names Output.Tags Output.Types Query General.Conduit
    General.IString General.Log General.Store General.Str
    General.Template General.Timing General.Util General.Web

import-dirs:          /usr/lib/ghc-9.4.8/site-local/hoogle-5.0.18.4
library-dirs:         /usr/lib/ghc-9.4.8/site-local/hoogle-5.0.18.4
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/hoogle-5.0.18.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/hoogle
hs-libraries:         HShoogle-5.0.18.4-3bgexx6W0GD6KU0CToQjoZ
include-dirs:         /usr/lib/ghc-9.4.8/site-local/hoogle-5.0.18.4/include
includes:             include.h
depends:
    QuickCheck-2.14.3-GIUqI8qD1o41rCLRe3Qcl2
    aeson-2.1.2.1-CJUEk8Q0QXZ63rfmeHQCzY base-4.17.2.1 binary-0.8.9.1
    blaze-html-0.9.2.0-Fb0uBay1tjZ9O0f9ZIItN4
    blaze-markup-0.8.3.0-IQaQkzfWNSm9Qm4PDNWXje bytestring-0.11.5.3
    cmdargs-0.10.22-KMcxPO0UszDDPT8hI73uO5
    conduit-1.3.6.1-8tCAQIrauyrIug3BXDjEe3
    conduit-extra-1.3.6-G2JIf39h3Qc87FZetzrPzx containers-0.6.7
    crypton-connection-0.4.1-uFapNROFvi5kYq0mCxIe2 deepseq-1.4.8.0
    directory-1.3.7.1 extra-1.7.16-7rZ9EueKMST4kZaTeQHLxQ
    filepath-1.4.2.2 foundation-0.0.30-12Txz3iSpP7C328yP2AUlY
    hashable-1.4.4.0-LtdCyz5lRpSEDVfQGtCbHQ
    haskell-src-exts-1.23.1-Jdj7WdniUsl7x6pYdJ6ib0
    http-conduit-2.3.9.1-JgIDB6YHdsWE6bMDl6N6NG
    http-types-0.12.4-BDoys3Aesb9DkjEWopUdY6
    js-flot-0.8.3-IKtJvuN3TOl6yoqyRfRs9e
    js-jquery-3.3.1-FjbDeJ8RwOh7r3msQQod4K
    mmap-0.5.9-Elwtwd4pUdW5gAqAC4PwUa
    old-locale-1.0.0.7-KCPcWVOQKME2P4y4gxzvhh
    process-extras-0.7.4-L3Vye8ARLThHhjFp8Fu7RC
    resourcet-1.2.6-HGtfNYJcPBqERcZSDZwt5Y
    safe-0.3.21-2cieDnF9VN1Br7WvgeXGD
    storable-tuple-0.1-DSPJhsGXJhoBroaaMWtiIa
    tar-0.5.1.1-3wIF9eZ80kfFOA0bfXjQ6M template-haskell-2.19.0.0
    text-2.0.2 time-1.12.2 transformers-0.5.6.2
    uniplate-1.6.13-B90ggt9sNVB41iFxgMn0we
    utf8-string-1.0.2-FnO1h94XkEn7naEuvLflUO
    vector-0.13.1.0-4yrO9MMzvlSAj3sbKvUmkp
    wai-3.2.4-6z26ExcMgEn3Ts3qNv86Ui
    wai-logger-2.5.0-LR2iBPZNF0GKmhVD9zpEjF
    warp-3.3.30-HZtDTBWOVCJo84PyLmnuN
    warp-tls-3.4.9-GynrkYDvwZGJroaMgXzqLT
    zlib-0.6.3.0-6peUynB0xzKG4lWqKpMccl

haddock-interfaces:   /usr/share/doc/hoogle/html/hoogle.haddock
haddock-html:         /usr/share/doc/hoogle/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

